Main Page Groups Namespaces

# sigc::internal::lambda_select2 Struct Reference

Inheritance diagram for sigc::internal::lambda_select2:

[legend]

List of all members.

## Public Types
typedef void | result_type
## Public Member Functions
void | operator() () const
template<class T_arg1, class T_arg2>
T_arg2 | operator() (T_arg1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2>
T_arg2 | sun_forte_workaround (T_arg1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2, class T_arg3>
T_arg2 | operator() (T_arg1, T_arg2 _A_2, T_arg3) const
template<class T_arg1, class T_arg2, class T_arg3>
T_arg2 | sun_forte_workaround (T_arg1, T_arg2 _A_2, T_arg3) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_arg2 | operator() (T_arg1, T_arg2 _A_2, T_arg3, T_arg4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_arg2 | sun_forte_workaround (T_arg1, T_arg2 _A_2, T_arg3, T_arg4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_arg2 | operator() (T_arg1, T_arg2 _A_2, T_arg3, T_arg4, T_arg5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_arg2 | sun_forte_workaround (T_arg1, T_arg2 _A_2, T_arg3, T_arg4, T_arg5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_arg2 | operator() (T_arg1, T_arg2 _A_2, T_arg3, T_arg4, T_arg5, T_arg6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_arg2 | sun_forte_workaround (T_arg1, T_arg2 _A_2, T_arg3, T_arg4, T_arg5, T_arg6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_arg2 | operator() (T_arg1, T_arg2 _A_2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_arg2 | sun_forte_workaround (T_arg1, T_arg2 _A_2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const
## Classes
struct | deduce_result_type

## Member Typedef Documentation

typedef void sigc::internal::lambda_select2::result_type

## Member Function Documentation

void sigc::internal::lambda_select2::operator() | ( |  | ) | const

template <class T_arg1, class T_arg2>

T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2>

T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | ,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3>

T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3>

T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 | ,
|  | T_arg5 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 | ,
|  | T_arg5 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 | ,
|  | T_arg5 | ,
|  | T_arg6 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 | ,
|  | T_arg5 | ,
|  | T_arg6 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 | ,
|  | T_arg5 | ,
|  | T_arg6 | ,
|  | T_arg7 |  |
| ) |  |  | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | ,
|  | T_arg2 | _A_2,
|  | T_arg3 | ,
|  | T_arg4 | ,
|  | T_arg5 | ,
|  | T_arg6 | ,
|  | T_arg7 |  |
| ) |  |  | const`[inline]`

The documentation for this struct was generated from the following file:

- select.h